| Home | Libraries | People | FAQ | More

## Struct template constructible

boost::type_erasure::constructible

## Synopsis

    // In header: <boost/type_erasure/constructible.hpp>

    template<typename Sig>
    struct constructible {
    };

## Description

The constructible concept enables calling the constructor of a type contained by an any. `Sig` should be a function signature. The return type is the placeholder specifying the type to be constructed. The arguments are the argument types of the constructor. The arguments of `Sig` may be placeholders.

| Note
constructible may not be specialized and may not be passed to call as it depends on the implementation details of any.